/*
 * $Id$
 */

package org.codehaus.plexus.security.user.jdo.v0_9_0;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.Date;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class UserDatabase implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field users
     */
    private java.util.List users;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method addUser
     * 
     * @param jdoUser
     */
    public void addUser(JdoUser jdoUser)
    {
        if ( !(jdoUser instanceof JdoUser) )
        {
            throw new ClassCastException( "UserDatabase.addUsers(jdoUser) parameter must be instanceof " + JdoUser.class.getName() );
        }
        getUsers().add( jdoUser );
    } //-- void addUser(JdoUser) 

    /**
     * Method getUsers
     */
    public java.util.List getUsers()
    {
        if ( this.users == null )
        {
            this.users = new java.util.ArrayList();
        }
        
        return this.users;
    } //-- java.util.List getUsers() 

    /**
     * Method removeUser
     * 
     * @param jdoUser
     */
    public void removeUser(JdoUser jdoUser)
    {
        if ( !(jdoUser instanceof JdoUser) )
        {
            throw new ClassCastException( "UserDatabase.removeUsers(jdoUser) parameter must be instanceof " + JdoUser.class.getName() );
        }
        getUsers().remove( jdoUser );
    } //-- void removeUser(JdoUser) 

    /**
     * Set null
     * 
     * @param users
     */
    public void setUsers(java.util.List users)
    {
        this.users = users;
    } //-- void setUsers(java.util.List) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }
}
